package cn.com.countrygarden.bi.main.model.wcx;

import javax.persistence.Id;
import javax.persistence.Table;
import java.util.Date;

/**
 * Created by Administrator on 2018/6/19.
 */
@Table(name = "wcx_prize")
public class WcxPrize {
    @Id
    private String prizeId; //` varchar(36) NOT NULL COMMENT '获奖表主键',
    private String prizeTitle; //` varchar(255) DEFAULT NULL COMMENT '奖项标题',
    private String prizeType; //` char(1) DEFAULT NULL COMMENT '奖项类型',
    private Long allAwardNumber; //` bigint(11) DEFAULT NULL COMMENT '总获奖人数',
    private Long allJoinNumber; //` bigint(11) DEFAULT NULL COMMENT '总参与条数',
    private Long allThumbNumber; //` bigint(11) DEFAULT NULL COMMENT '总点赞数',
    private String prizeProjectName; //` varchar(255) DEFAULT NULL COMMENT '获奖项目名称',
    private String prizeRegionName; //` varchar(255) DEFAULT NULL COMMENT '获奖区域名称',
    private Date prizeMonthDate; //` datetime DEFAULT NULL COMMENT '获奖月份',
    private Integer batchCode; //` int(8) DEFAULT NULL COMMENT '奖项批次号',
    private Date prizeOpenDate; //` datetime DEFAULT NULL COMMENT '公布时间',
    private Date startDate;
    private Date endDate;
    private String status; //` char(1) DEFAULT NULL COMMENT '状态(0:未启用 1:启用)',
    private Date createDate; //` datetime DEFAULT NULL COMMENT '创建时间',

    public Date getStartDate() {
        return startDate;
    }

    public void setStartDate(Date startDate) {
        this.startDate = startDate;
    }

    public Date getEndDate() {
        return endDate;
    }

    public void setEndDate(Date endDate) {
        this.endDate = endDate;
    }

    public String getPrizeId() {
        return prizeId;
    }

    public void setPrizeId(String prizeId) {
        this.prizeId = prizeId;
    }

    public String getPrizeTitle() {
        return prizeTitle;
    }

    public void setPrizeTitle(String prizeTitle) {
        this.prizeTitle = prizeTitle;
    }

    public String getPrizeType() {
        return prizeType;
    }

    public void setPrizeType(String prizeType) {
        this.prizeType = prizeType;
    }

    public Long getAllAwardNumber() {
        return allAwardNumber;
    }

    public void setAllAwardNumber(Long allAwardNumber) {
        this.allAwardNumber = allAwardNumber;
    }

    public Long getAllJoinNumber() {
        return allJoinNumber;
    }

    public void setAllJoinNumber(Long allJoinNumber) {
        this.allJoinNumber = allJoinNumber;
    }

    public Long getAllThumbNumber() {
        return allThumbNumber;
    }

    public void setAllThumbNumber(Long allThumbNumber) {
        this.allThumbNumber = allThumbNumber;
    }

    public String getPrizeProjectName() {
        return prizeProjectName;
    }

    public void setPrizeProjectName(String prizeProjectName) {
        this.prizeProjectName = prizeProjectName;
    }

    public String getPrizeRegionName() {
        return prizeRegionName;
    }

    public void setPrizeRegionName(String prizeRegionName) {
        this.prizeRegionName = prizeRegionName;
    }

    public Date getPrizeMonthDate() {
        return prizeMonthDate;
    }

    public void setPrizeMonthDate(Date prizeMonthDate) {
        this.prizeMonthDate = prizeMonthDate;
    }

    public Integer getBatchCode() {
        return batchCode;
    }

    public void setBatchCode(Integer batchCode) {
        this.batchCode = batchCode;
    }

    public Date getPrizeOpenDate() {
        return prizeOpenDate;
    }

    public void setPrizeOpenDate(Date prizeOpenDate) {
        this.prizeOpenDate = prizeOpenDate;
    }

    public String getStatus() {
        return status;
    }

    public void setStatus(String status) {
        this.status = status;
    }

    public Date getCreateDate() {
        return createDate;
    }

    public void setCreateDate(Date createDate) {
        this.createDate = createDate;
    }
}
